
This directory contains automated checkers for the network's
STIG compliance.  The directory is laid out as follows:
```
    srg/
        parse-stigxml.py
        os/
            V-3000.sls
            ...
            other-vuln-id.sls
        firewall/
            Vagrant/
            check-stig-pfsense.py
            V-3000.py
            ...
            other-vuln-id.py
        db/
            check-stig-db.py
            V-3000.sh
            ...
            other-vuln-id.sh
        ...
        other_software_to_stig/
```

## Parsing STIG .xml Files
In this directory, there is a script called `parse-stigxml.py`.
Proper usage is `/path/to/parse-stigxml.py <xmlfile>`.
The input is a DISA created .xml file specifying the requirements for a STIG.
The script generates a CSV version of that XML file with
three rows: `V-ID`, `title`, `description`, `fix text`.
However, more output methods can be trivially generated in the future such as
Excel or the backend of a web app that visualizes the network's
STIG compliance status.

*NOTE* - This script requires xmltodict.  You can install the dependency
and any others with `sudo pip3 install -r srg/firewall/requirements.txt`
