#!/usr/bin/python


# Vulnerability V-3000
# Title
#   The network device must log all interface access control lists (
#   ACL) deny statements.

fix = ''' Configure interface ACLs to log all deny statements. '''


import logging
import util

def run(xml_out):
    # this rule is turned on by default
    # if it is turned off, then the string
    # "<nologdefaultblock></nologdefaultblock>" is in the config.xml
    # "https://doc.pfsense.org/index.php/Firewall_Logs#Disable_Default_Block_Logging"
    finding, out = util.check_artifact('cat /cf/conf/config.xml | grep "<nologdefaultblock></nologdefaultblock>"',
                                       "")

    f = util.Finding(finding, out.stdout)
    return f

