#!/usr/bin/python


# Vulnerability V-3013
# Title
#   Network devices must display the DoD-approved logon banner warni
#   ng.

fix = ''' Configure all management interfaces to the network device to display the DoD-mandated warning banner verbiage at logon regardless of the means of connection or communication. The required banner verbiage that must be displayed verbatim is as follows:Option AYou are accessing a U.S. Government (USG) Information System (IS) that is provided for USG-authorized use only. By using this IS (which includes any device attached to this IS), you consent to the following conditions:-The USG routinely intercepts and monitors communications on this IS for purposes including, but not limited to, penetration testing, COMSEC monitoring, network operations and defense, personnel misconduct (PM), law enforcement (LE), andcounterintelligence (CI) investigations.-At any time, the USG may inspect and seize data stored on this IS.-Communications using, or data stored on, this IS are not private, are subject to routine monitoring, interception, and search, and may be disclosed or used for any USG-authorized purpose.-This IS includes security measures (e.g., authentication and access controls) to protect USG interests--not for your personal benefit or privacy.-Notwithstanding the above, using this IS does not constitute consent to PM, LE or CI investigative searching or monitoring of the content of privileged communications, or work product, related to personal representation or services by attorneys, psychotherapists, or clergy, and their assistants. Such communications and work product are private and confidential. See User Agreement for details.Option BIf the system is incapable of displaying the required banner verbiage due to its size, a smaller banner must be used. The mandatory verbiage follows: 'I've read & consent to terms in IS user agreem't.' '''


import logging
import util

banner = '''You are accessing a U.S. Government (USG) Information System
(IS) that is provided for USG-authorized use only. By using this IS (which includes any device attached to this IS), you consent to the following conditions:
- The USG routinely intercepts and monitors communications on this IS for purposes including, but not limited to, penetration testing, COMSEC
monitoring, network operations and defense, personnel misconduct (PM), law enforcement (LE), and counterintelligence (CI) investigations.
- At any time, the USG may inspect and seize data stored on this IS.
- Communications using, or data stored on, this IS are not private, are subject to routine monitoring, interception, and search, and may be disclosed or used for any USG-authorized purpose.
- This IS includes security measures (e.g., authentication and access controls) to protect USG interests--not for your personal benefit or privacy.
- Notwithstanding the above, using this IS does not constitute consent to PM, LE or CI investigative searching or monitoring of the content of privileged communications, or work product, related to personal representation or services by attorneys, psychotherapists, or clergy, and their assistants. Such communications and work product are private and confidential.
See User Agreement for details.'''
# truncate whitespace in banner to just single ' ' character
banner = " ".join(banner.split())

def run(xml_out):
    # check if /etc/motd equals banner variable
    msg = 'MOTD banner should be enabled for root ssh on all systems\n'
    msg += '    see https://git.cybbh.space/vta/saltstack/blob/master/states/auth/root-ssh.sls\n'
    msg += '    cat /etc/motd'

    f1, out1 = util.check_artifact('cat /etc/motd', banner)
    f2, out2 = util.check_artifact('cat /etc/ssh/sshd_config | grep Banner',
                                       "Banner /etc/motd")
    finding = util.validate_findings([f1, f2])
    f = util.Finding(finding, out1.stdout + out2.stdout)
    return f

