#!/usr/bin/python


# Vulnerability V-3014
# Title
#   The network devices must timeout management connections for admi
#   nistrative access after 10 minutes or less of inactivity.

fix = ''' Configure the network devices to ensure the timeout for unattended administrative access connections is no longer than 10 minutes. '''


import logging
import util

def run(xml_out):
    # cmd = 'cat /etc/ssh/sshd_config | grep \"ClientAliveCountMax 10\"'
    cmd = 'cat /etc/ssh/sshd_config | grep \"ClientAliveCountMax\"'
    artifact = "ClientAliveCountMax 10"
    finding_code, out = util.check_artifact(cmd, artifact)

    f = util.Finding(finding_code, out.stdout)
    return f

