#!/usr/bin/python


# Vulnerability V-3056
# Title
#   Group accounts must not be configured for use on the network dev
#   ice.

fix = ''' Configure individual user accounts for each authorized person then remove any group accounts. '''

groups  = """wheel:*:0:root
daemon:*:1:daemon
kmem:*:2:root
sys:*:3:root
tty:*:4:root
operator:*:5:root
mail:*:6:
bin:*:7:
news:*:8:
man:*:9:
games:*:13:
staff:*:20:root
sshd:*:22:
smmsp:*:25:
mailnull:*:26:
guest:*:31:root
bind:*:53:
unbound:*:59:
proxy:*:62:
_pflogd:*:64:
_dhcp:*:65:
authpf:*:63:
uucp:*:66:
dialer:*:68:
network:*:69:
www:*:80:
nogroup:*:65533:
nobody:*:65534:
audit:*:77:
_ntp:*:123:
_relayd:*:913:
dhcpd:*:136:
all:*:1998:
admins:*:1999:root"""

users  = """root:*:0:0
toor:*:0:0
daemon:*:1:1
operator:*:2:5
bin:*:3:7
tty:*:4:65533
kmem:*:5:65533
games:*:7:13
news:*:8:8
man:*:9:9
sshd:*:22:22
smmsp:*:25:25
mailnull:*:26:26
bind:*:53:53
unbound:*:59:59
proxy:*:62:62
_pflogd:*:64:64
www:*:80:80
nobody:*:65534:65534
dhcpd:*:1002:1002
_dhcp:*:65:65
_isakmpd:*:68:68
uucp:*:66:66
pop:*:68:6
_ntp:*:123:123
_relayd:*:913:913
admin:*:0:0"""

import logging
import util

def run(xml_out):
    # this output should just show that no extra users
    # or gruops are created besides what is default installed
    # for pfsense
    cmd_users = "cat /etc/passwd | grep -Eo '^[a-z_][a-z0-9_-]*[$$]?:.*:[0-9]+:[0-9]+'"
    cmd_groups = "cat /etc/group"
    finding1, out1 = util.check_artifact(cmd_users, users)
    finding2, out2 = util.check_artifact(cmd_groups, groups)
    finding = util.validate_findings([finding1, finding2])
    return util.Finding(finding, out1.stdout + out2.stdout)

