#!/usr/bin/python


# Vulnerability V-5613
# Title
#   The network device must be configured for a maximum number of un
#   successful SSH logon attempts set at 3 before resetting the inte
#   rface.

fix = ''' Configure the network device to require a maximum number of unsuccessful SSH logon attempts at 3. '''


import logging
import util

def run(xml_out):
    # look for MaxAuthTries
    # cmd = 'cat /etc/ssh/sshd_config | grep \"MaxAuthTries\"'
    cmd = 'cat /etc/ssh/sshd_config | grep \"MaxAuthTries\"'
    artifact = "MaxAuthTries 3"
    finding_code, out = util.check_artifact(cmd, artifact)

    f = util.Finding(finding_code, out.stdout)
    return f

