

Requirements: Debian-flavored linux, chromium


End State: have a development environment 
with a virtual network on top of virtual box using
using Vagrant as the configuration manager.
The network specifies a debian machine connected
to a pfsense firewall.
This environment will make developing the STIG checker
for a network firewall (and hopefully future network devices)
easier
```bash
mkdir ~/vta && cd ~/vta
# make sure you have forked vta/saltstack on gitlab
# your gitlab username instead of vta
git clone git@git.cybbh.space:{your username}/saltstack.git
```

## Install/Launch Vagrant machine

First install vagrant and virtual box
Do not do a apt-get install vagrant, you need a newer version.
As for vbox, I think you can do an apt install of vbox, but
if you want the newest, you should install from .deb package
on the vbox website.

According to your distribution, replace 'xenial' by 'yakkety', 'vivid', 'wheezy', 'squeeze', etc
(`lsb_release -a`).

```bash
# install vbox
sudo sh -c 'echo "deb http://download.virtualbox.org/virtualbox/debian xenial contrib" >> /etc/apt/sources.list.d/virtualbox.list'
wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | sudo apt-key add -
wget -q https://www.virtualbox.org/download/oracle_vbox.asc -O- | sudo apt-key add -
yes | sudo apt-get update
yes | sudo apt install virtualbox-5.1

# install vagrant
wget https://releases.hashicorp.com/vagrant/2.0.0/vagrant_2.0.0_x86_64.deb
sudo dpkg -i vagrant_2.0.0_x86_64.deb
sudo apt-get install -f
# install vbox plugin
vagrant plugin install vbox-plugin
# confirm that it is installed
vagrant list plugins
```

Now, take a look at `./Vagrantfile`.  This specifies
the vagrant box we will be creating and what its network
configuration will be.
In this directory, do a `vagrant up` and `vagrant ssh`.
This will create the box described in `./Vagrantfile`
and then give you a terminal in it via `ssh`.


## Install pfsense firewall
We do not have an image of our pfsense router,
so you will have to install and configure from
a pfsense .iso.

First obtain the pfsense iso:
```bash
wget https://nyifiles.pfsense.org/mirror/downloads/pfSense-CE-2.3.4-RELEASE-amd64.iso.gz
tar -xJvf pfsense-CE-2.3.4-RELEASE-amd64.iso.gz
```

Then, in virtualbox, create a FreeBSD machine.
Make sure the machine has two network adapters.
The first one can be either Bridged or NAT'd.
The second one should be on an "Internal Network" type adapter
called "intnet".

Once the machine has been created, go to settings/storage
for the machine and set the CD drive to point to the pfsense .iso.

After, a basic graphic install you will be prompted to restart the machine
and remove the .iso from the CD drive.

This initial installation should provide a LAN with network address
192.168.1.0/24, pfsense LAN interface address at 192.168.1.1.

## Configuring the pfsense firewall using WebConfigurator
At this point, we can access the web interface of the router through the
LAN interface.  But we need to be on the LAN of the firewall.
Our already vagrant machine should be on this LAN already.

Let's spin up a proxy through our
vagrant machine to access the web interface.
of the firewall.
First, make sure your vagrant machine is still running using
`vagrant status`.
Close all instances of chromium browser.
From the directory that this README is contained in run:

```bash
./chrome-socks-proxy-tutorial.sh
```

At this point, we have setup a proxy to our (already running, hopefully)
vagrant box.  Using that proxy, we access the web configurator
through the chromium (or replace with chrome) browser that the script
should have opened up.

In your web browser that is using the proxy, browser to https://192.168.1.1.
You will be presented with a login portal. Use the credentials admin:pfsense
to get in.  Use this interface to configure the router according to your uses.

CTL-C on the terminal running the proxy service when you are done.

## Setting up Firewall for SSH access
You will need to add an authorized key to the admin/root account in order
to allow ssh'ing without a password.
To do this from the web portal go to Settings/Users.  Click edit on the admin
user.
Scroll to the bottom where you see the option to add an ssh key.
Add the public key on the vagrant box you have created (`~/.ssh/authorized_keys`)
Or you can execute the following command from the vagrant machine:
```bash
# ssh password is pfsense
scp /home/vagrant/.ssh/authorized_keys root@192.168.1.1:/root/.ssh/authorized_keys
```

