#!/bin/bash

###############
# Constants
###############
PRIV_KEY=".vagrant/machines/default/virtualbox/private_key"
PROXY_PORT=1090
CHROME="/opt/google/chrome/chrome"
if [[ ! -e "$CHROME" ]]; then
    echo "[-] Could not find Chrome at $CHROME using Chromium"
    if [[ -e "`which chromium-browser`" ]]; then
        CHROME=`which chromium-browser`
    else
        echo "[-] Chromium is not installed on this computer"
        exit 1
    fi
fi

ssh -ND $PROXY_PORT vagrant@localhost -p 12346 -i $PRIV_KEY & PROXY_PID="$!"
$CHROME --proxy-server="socks5://localhost:$PROXY_PORT"
kill $PROXY_PID
